%global pypi_name fasjson-client

Name:           %{pypi_name}
Version:        0.0.3
Release:        1%{?dist}
Summary:        An OpenAPI client for FASJSON

License:        LGPLv3+
URL:            https://github.com/fedora-infra/fasjson-client
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  (python3dist(bravado) >= 10.6 with python3dist(bravado) < 11)
BuildRequires:  (python3dist(click) >= 7.1.0 with python3dist(click) < 8)
BuildRequires:  (python3dist(cryptography) >= 2.8 with python3dist(cryptography) < 3)
BuildRequires:  (python3dist(gssapi) >= 1.6.0 with python3dist(gssapi) < 2)
BuildRequires:  (python3dist(requests) >= 2.22 with python3dist(requests) < 3)
BuildRequires:  (python3dist(requests-gssapi) >= 1.2.1 with python3dist(requests-gssapi) < 2)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)

Requires:       (python3dist(bravado) >= 10.6 with python3dist(bravado) < 11)
Requires:       (python3dist(click) >= 7.1.0 with python3dist(click) < 8)
Requires:       (python3dist(cryptography) >= 2.8 with python3dist(cryptography) < 3)
Requires:       (python3dist(gssapi) >= 1.6.0 with python3dist(gssapi) < 2)
Requires:       (python3dist(requests) >= 2.22 with python3dist(requests) < 3)
Requires:       (python3dist(requests-gssapi) >= 1.2.1 with python3dist(requests-gssapi) < 2)
Requires:       python3dist(setuptools)

%description
A python client library for the FASJSON API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Provides:       %{pypi_name} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A python client library for the FASJSON API.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

#%%check
#%%{__python3} pytest

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/fasjson-client
%{python3_sitelib}/fasjson_client
%{python3_sitelib}/fasjson_client-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Sep 08 2020 Aurelien Bompard <abompard@fedoraproject.org> - 0.0.3-1
- Initial package.
